/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-08-16
 * 描述            ：二级接口-宝信罩退炉PDI-L3撤销
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.anneal.vo;
import java.io.Serializable;
import java.util.Date;

import market.Mes.anneal.mapper.IfBaf01RevokeL3Mapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Table;

@Table(name="IF_BAF01_REVOKE_L3", namespace=IfBaf01RevokeL3Mapper.class)
public class IfBaf01RevokeL3 extends BaseVO implements Serializable {
	/** 
	 * 撤销时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date revoke_time;
	public Date getRevoke_time() {
		return this.revoke_time;
	}
	public void setRevoke_time(Date revoke_time) {
		this.revoke_time = revoke_time;
	}

	/** 
	 * 撤销人
	 */ 
	@Column
	private String revoke_opr;
	public String getRevoke_opr() {
		return this.revoke_opr;
	}
	public void setRevoke_opr(String revoke_opr) {
		this.revoke_opr = revoke_opr;
	}

	/** 
	 * 计划号
	 */ 
	@Column
	private String plan_no;
	public String getPlan_no() {
		return this.plan_no;
	}
	public void setPlan_no(String plan_no) {
		this.plan_no = plan_no;
	}

	/** 
	 * 序号
	 */ 
	@Column
	private Long seq_no;
	public Long getSeq_no() {
		return this.seq_no;
	}
	public void setSeq_no(Long seq_no) {
		this.seq_no = seq_no;
	}

	/** 
	 * 机组代码（区分厂家：艾伯纳、中冶南方、宝信）
	 */ 
	@Column
	private String unit_code;
	public String getUnit_code() {
		return this.unit_code;
	}
	public void setUnit_code(String unit_code) {
		this.unit_code = unit_code;
	}

	/** 
	 * 入口钢卷号
	 */ 
	@Column
	private String in_mat_no;
	public String getIn_mat_no() {
		return this.in_mat_no;
	}
	public void setIn_mat_no(String in_mat_no) {
		this.in_mat_no = in_mat_no;
	}

}
